Index: libempathy-gtk/gossip-ui-utils.c
===================================================================
--- libempathy-gtk/gossip-ui-utils.c	(revision 99)
+++ libempathy-gtk/gossip-ui-utils.c	(working copy)
@@ -33,7 +33,7 @@
 #include <glib/gi18n.h>
 #include <gtk/gtk.h>
 #include <glade/glade.h>
-#include <libgnome/libgnome.h>
+#include <libgnomevfs/gnome-vfs-utils.h>
 
 #include <libmissioncontrol/mc-profile.h>
 
@@ -1280,13 +1280,14 @@
 gossip_url_show (const char *url)
 {
 	gchar  *real_url;
-	GError *error = NULL;
+	GnomeVFSResult res;
 
 	real_url = fixup_url (url);
-	gnome_url_show (real_url, &error);
-	if (error) {
-		g_warning ("Couldn't show URL:'%s'", real_url);
-		g_error_free (error);
+	res = gnome_vfs_url_show (real_url);
+	if (res != GNOME_VFS_OK) {
+		g_warning ("Couldn't show URL %s: %s",
+			   real_url,
+			   gnome_vfs_result_to_string (res));
 	}
 
 	g_free (real_url);
Index: src/empathy-chat-main.c
===================================================================
--- src/empathy-chat-main.c	(revision 99)
+++ src/empathy-chat-main.c	(working copy)
@@ -28,9 +28,6 @@
 #include <glib/gi18n.h>
 #include <gtk/gtk.h>
 
-#include <libgnome/gnome-program.h>
-#include <libgnomeui/gnome-ui-init.h>
-
 #include <libtelepathy/tp-conn.h>
 #include <libtelepathy/tp-chan.h>
 #include <libmissioncontrol/mc-account.h>
@@ -162,7 +159,6 @@
 main (int argc, char *argv[])
 {
 	EmpathyChandler *chandler;
-	GnomeProgram    *program;
 	gchar           *localedir;
 
 	localedir = gossip_paths_get_locale_path ();
@@ -171,14 +167,8 @@
 	textdomain (GETTEXT_PACKAGE);
 	g_free (localedir);
 
-	program = gnome_program_init ("empathy-chat",
-				      PACKAGE_VERSION,
-				      LIBGNOMEUI_MODULE,
-				      argc, argv,
-				      GNOME_PROGRAM_STANDARD_PROPERTIES,
-				      GNOME_PARAM_HUMAN_READABLE_NAME, PACKAGE_NAME,
-				      NULL);
-
+	gtk_init (&argc, &argv);
+	
 	gtk_window_set_default_icon_name ("empathy");
 
 	if (g_getenv ("EMPATHY_DEBUG")) {
@@ -194,7 +184,6 @@
 
 	gtk_main ();
 
-	g_object_unref (program);
 	g_object_unref (chandler);
 
 	return EXIT_SUCCESS;
Index: src/empathy-main.c
===================================================================
--- src/empathy-main.c	(revision 99)
+++ src/empathy-main.c	(working copy)
@@ -28,9 +28,6 @@
 #include <glib/gi18n.h>
 #include <gtk/gtk.h>
 
-#include <libgnome/gnome-program.h>
-#include <libgnomeui/gnome-ui-init.h>
-
 #include <libmissioncontrol/mc-account.h>
 #include <libmissioncontrol/mc-account-monitor.h>
 #include <libmissioncontrol/mission-control.h>
@@ -136,7 +133,6 @@
 	McAccountMonitor  *monitor;
 	EmpathyFilter     *filter;
 	gchar             *localedir;
-	GnomeProgram      *program;
 	gboolean           no_connect = FALSE;
 	GOptionContext    *context;
 	GOptionEntry       options[] = {
@@ -157,14 +153,8 @@
 
 	g_set_application_name (PACKAGE_NAME);
 
-	program = gnome_program_init ("empathy",
-				      PACKAGE_VERSION,
-				      LIBGNOMEUI_MODULE,
-				      argc, argv,
-				      GNOME_PROGRAM_STANDARD_PROPERTIES,
-				      "goption-context", context,
-				      GNOME_PARAM_HUMAN_READABLE_NAME, PACKAGE_NAME,
-				      NULL);
+	gtk_init (&argc, &argv);
+	/* TODO: option parsing */
 
 	gtk_window_set_default_icon_name ("empathy");
 
@@ -204,7 +194,6 @@
 	g_object_unref (monitor);
 	g_object_unref (mc);
 	g_object_unref (icon);
-	g_object_unref (program);
 
 	return EXIT_SUCCESS;
 }
Index: configure.ac
===================================================================
--- configure.ac	(revision 99)
+++ configure.ac	(working copy)
@@ -62,12 +62,13 @@
 
 PKG_CHECK_MODULES(EMPATHY,
 [
+   libxml-2.0
    glib-2.0 >= $GLIB_REQUIRED
    gobject-2.0
    gtk+-2.0 >= $GTK_REQUIRED
    gconf-2.0 >= $GCONF_REQUIRED
    libglade-2.0 >= $LIBGLADE_REQUIRED
-   libgnomeui-2.0
+   gnome-vfs-2.0
    libtelepathy >= $TELEPATHY_REQUIRED
    libmissioncontrol >= $MISSION_CONTROL_REQUIRED
 ])
